
Figure - Bug #117623
[IOVDEV-23537] 【IOV测试】【VC1】【SORP】【声音竞合】【实车320】副屏播放 腾讯视频，主屏播放音乐
，副屏视频未暂停
2023-04-21 14:42 - 物联网测试组_TSCD 王维

Status: CLOSED Start date: 2023-04-21

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 中控版本：03.02.0070.C101

Resolution: FIXED Degrated: --

Severity: Major Verified Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0101.C103(X103)

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 当前副屏视频和游戏混音处理方法；��在中控拿走焦点后，直接mute流类型music,在视频暂停再播放申请焦点时再unmute。

Description

【前提条件】：

车机上电、网络状态良好、时间显示正确、 账号登录正确

【操作步骤】：

1、副屏播放视频

2、主屏播放音乐

【实际结果】：

1、主屏音乐声音输出，副屏视频未暂停

【期望结果】：

1、副屏视频暂停播放

【研发解决问题依赖】：

1、问题发生环境：EE

2、车机VIN号:LJD8BC3F6P0000320

3、bug时间：2023/4/20�0�2 1034

【备注】：

【软件版本号】：

IDCM版本号:�0�2 �0�2 �0�203.02.0070.C101

日志同步：

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_117622

History

#1 - 2023-04-23 14:50 - Multimedia组-RD3_TSCD 梁卿山

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD TPM-王祥林

Hi all,

这个问题为应用自身的问题。

从日志里看，在主屏播放音乐时，副屏有发出Audio focus loss通知

04-21 10:32:05.472  6277  6446 D MediaFocusControl: audio_idcm: updateCurrentAudioFocus: uid= 10110 fr = 10110 focusChange= -1

但是腾讯视频并不会在这种场景做暂停播放处理。副屏先用腾讯视频播放视频，再用副屏播放音乐，结果视频同样不会暂停。

其他机型对比：

测试机型：小米11 ultra，小米13

测试次数：10

测试结果：10/10
腾讯视频同样不会暂停播放视频。故此三方应用问题申请不解。

#2 - 2023-05-04 22:38 - CD TPM-王祥林

- Assignee changed from CD TPM-王祥林 to Multimedia组-RD3_TSCD 梁卿山

卿山

按照之前沟通的结果，这个虽然是应用的问题但比较影响用户体验，需要想办法从框架层去暂停视频播放。调查一下方案吧。

#3 - 2023-05-15 15:34 - Multimedia组-RD3_TSCD 梁卿山

HI ALL

当前和客户商量后的结果：

当前副屏视频和游戏混音处理方法；

在中控拿走焦点后，直接mute流类型music,在视频暂停再播放申请焦点时再unmute。

#4 - 2023-05-16 22:26 - CDTS-TEST 周婷

- Severity changed from Normal to Major

#5 - 2023-05-16 22:26 - CDTS-TEST 周婷

- Priority changed from Normal to High

#6 - 2023-05-17 11:06 - Multimedia组-RD3_TSCD 梁卿山

- File 飞书20230517-104838.mp4 added

- File 飞书20230517-104845.mp4 added

- Status changed from New to RESOLVED

- Resolution changed from -- to FIXED

- Root cause set to 当前副屏视频和游戏混音处理方法；

在中控拿走焦点后，直接mute流类型music,在视频暂停再播放申请焦点时再unmute。

HI 永红

根据和客户讨论的方案，

当前副屏视频和游戏混音处理方法；

在中控拿走焦点后，直接mute流类型music,在视频暂停再播放申请焦点时再unmute。

具体现象见附件：

请使用5/17号后的版本进行验证。

#7 - 2023-05-17 11:07 - Multimedia组-RD3_TSCD 梁卿山

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD TEST-方永红

#8 - 2023-05-17 16:23 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader
200144 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tangyj0127@thundersoft.com

MM: Audio: Fixing video mixing issuesFixing video mixing issuesTC-RID: 0301-0900116IssueID: TS-R-DF-117623Change-Id:

I5abf21bd9fbae10eaa7cd7a43e7b96405661a884

#9 - 2023-05-18 14:55 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- % Done changed from 0 to 100

- Verified Version set to FlatBuild_HH_MCE_FSE.M.R.user.01.00.0101.C103(X103)

5.18

验证通过

#10 - 2023-05-18 14:55 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

飞书20230517-104838.mp4 12.9 MB 2023-05-17 Multimedia组-RD3_TSCD 梁卿山

飞书20230517-104845.mp4 20.7 MB 2023-05-17 Multimedia组-RD3_TSCD 梁卿山
